# Visualization
TKService
Aspect

# Aspect_ColorRampColorMap Class Reference

This class defines a ColorRampColorMap object.
.

`#include <Aspect_ColorRampColorMap.hxx>`

Inheritance diagram for Aspect_ColorRampColorMap:

[legend]

## Public Member Functions

Standard_EXPORT | Aspect_ColorRampColorMap (const Standard_Integer basepixel, const Standard_Integer dimension, const Quantity_Color &color)
| Create a Color Ramp Colormap starting from Black at basepixel to color at basepixel+dimension-1. .
Standard_EXPORT | Aspect_ColorRampColorMap (const Standard_Integer basepixel, const Standard_Integer dimension, const Quantity_NameOfColor colorName)
| Create a Color Ramp Colormap starting from Black at basepixel to color at basepixel+dimension-1. .
Standard_EXPORT void | ColorRampDefinition (Standard_Integer &basepixel, Standard_Integer &dimension, Quantity_Color &color) const
| Get Color Ramp Colormap definition . .
Standard_EXPORT Standard_Integer | FindColorMapIndex (const Standard_Integer ColorMapEntryIndex) const
| Returns the index in the ColorMap of the ColorMapEntry.Index() equal to <anentryindex>. Warning: Raises BadAccess if the index is not defined in the ColorMap. .
Standard_EXPORT const Aspect_ColorMapEntry & | FindEntry (const Standard_Integer AColorMapEntryIndex) const
| Returns the ColorMapEntry with ColorMapEntry.Index() equal to <anentryindex>. Warning: Raises BadAccess if the index is not defined in the ColorMap. .
Standard_EXPORT Standard_Integer | NearestColorMapIndex (const Quantity_Color &aColor) const
| Returns the index in the ColorMap of the nearest matching ColorMapEntry .
Standard_EXPORT const Aspect_ColorMapEntry & | NearestEntry (const Quantity_Color &aColor) const
| Returns the nearest ColorMapEntry that match aColor . .
Standard_EXPORT Standard_Integer | AddEntry (const Quantity_Color &aColor)
| Search an identical color entry in the color map <me> or returns the nearest ColorMapEntry Index. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | ComputeEntry (const Standard_Integer basepixel, const Standard_Integer dimension, const Quantity_Color &color)
| Create a Color Ramp Colormap starting from Black at basepixel to color at basepixel+dimension-1. .

## Private Attributes

Quantity_Color | mycolor
Standard_Integer | mybasepixel
Standard_Integer | mydimension

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_ColorRampColorMap::Aspect_ColorRampColorMap | ( | const Standard_Integer | basepixel,
|  | const Standard_Integer | dimension,
|  | const Quantity_Color & | color
| ) |

Standard_EXPORT Aspect_ColorRampColorMap::Aspect_ColorRampColorMap | ( | const Standard_Integer | basepixel,
|  | const Standard_Integer | dimension,
|  | const Quantity_NameOfColor | colorName
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer Aspect_ColorRampColorMap::AddEntry | ( | const Quantity_Color & | aColor | ) | `[virtual]`

| Implements Aspect_ColorMap.

Standard_EXPORT void Aspect_ColorRampColorMap::ColorRampDefinition | ( | Standard_Integer & | basepixel,
|  | Standard_Integer & | dimension,
|  | Quantity_Color & | color
| ) | const

Standard_EXPORT void Aspect_ColorRampColorMap::ComputeEntry | ( | const Standard_Integer | basepixel,
|  | const Standard_Integer | dimension,
|  | const Quantity_Color & | color
| ) | `[private]`

Standard_EXPORT Standard_Integer Aspect_ColorRampColorMap::FindColorMapIndex | ( | const Standard_Integer | ColorMapEntryIndex | ) | const`[virtual]`

| Implements Aspect_ColorMap.

Standard_EXPORT const Aspect_ColorMapEntry& Aspect_ColorRampColorMap::FindEntry | ( | const Standard_Integer | AColorMapEntryIndex | ) | const`[virtual]`

| Implements Aspect_ColorMap.

Standard_EXPORT const Aspect_ColorRampColorMap::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Aspect_ColorMap.

Standard_EXPORT Standard_Integer Aspect_ColorRampColorMap::NearestColorMapIndex | ( | const Quantity_Color & | aColor | ) | const`[virtual]`

| Implements Aspect_ColorMap.

Standard_EXPORT const Aspect_ColorMapEntry& Aspect_ColorRampColorMap::NearestEntry | ( | const Quantity_Color & | aColor | ) | const`[virtual]`

| Implements Aspect_ColorMap.

## Field Documentation

Standard_Integer Aspect_ColorRampColorMap::mybasepixel `[private]`

Quantity_Color Aspect_ColorRampColorMap::mycolor `[private]`

Standard_Integer Aspect_ColorRampColorMap::mydimension `[private]`

The documentation for this class was generated from the following file:

- Aspect_ColorRampColorMap.hxx